		LIST	P = 17C44

		INCLUDE <P17C44.INC>     ; P17C44 include file

		INCLUDE <MATH17.INC>    ; PIC17 math library definitions

;**********************************************************************************************
;**********************************************************************************************

                org             0x0000

;       All arguments to the routines in the math library are passed through the locations

;		AEXP,AARGB0,AARGB1,AARGB2,AARGB3

;		BEXP,BARGB0,BARGB1,BARGB2,BARGB3

;	with the result in

;		AEXP,AARGB0,AARGB1,AARGB2,AARGB3

;	Fixed point operands are left justified to xARGB0 and do not use xEXP. Floating point
;	operands have the biased exponent in xEXP, followed by the normalized fraction left
;	justified to xARGB0 with its implicit MSB replaced by the sign bit.

;**********************************************************************************************

;	To divide the floating point number 0x823C5198 by 0x7ED3A57F, load the values into
;	AARG and BARG and call FPD32. The unrounded floating point result, 0x82E3C899, is
;	returned in AEXP,AARGB0,AARGB1,AARGB2, with the next significant byte, 0xB8 in AARGB3.

		MOVLW	0x82
		MOVWF	AEXP
		MOVLW	0x3C
		MOVWF	AARGB0
		MOVLW	0x51
		MOVWF	AARGB1
		MOVLW	0x98
		MOVWF	AARGB2

		MOVLW	0x7E
		MOVWF	BEXP
		MOVLW	0xD3
		MOVWF	BARGB0
		MOVLW	0xA5
		MOVWF	BARGB1
		MOVLW	0x7F
		MOVWF	BARGB2

		CALL	FPD32

SELF		GOTO	SELF

;**********************************************************************************************

;	These include files contain all of the floating point routines for convenience
;	in experimenting with routines in addition to the above example. In a specific case,
;	only the necessary routine and its dependencies need be included.

		INCLUDE <FP32.A17>

		INCLUDE <FP24.A17>

;**********************************************************************************************

		END

